import { Button } from "antd";
import type { ComponentPropsWithoutRef } from "react";
import * as React from "react";
import type { ActionWithRulesProps } from "react-querybuilder";
// TODO: This may be unnecessary. Find out if there's a way to allow
// `data-${string}` index keys without breaking other type contraints.
type RemoveDataIndexKeys<T> = { [K in keyof T as `data-${string}` extends K ? never : K] : T[K] };
/**
* @group Props
*/
export interface AntDActionProps extends ActionWithRulesProps, RemoveDataIndexKeys<ComponentPropsWithoutRef<typeof Button>> {}
/**
* @group Components
*/
export declare const AntDActionElement: ({ className, handleOnClick, label, title, disabled, disabledTranslation, testID: _testID, rules: _rules, level: _level, path: _path, context: _context, validation: _validation, ruleOrGroup: _ruleOrGroup, schema: _schema,...extraProps }: AntDActionProps) => React.JSX.Element;
export {};
